with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IDOMSiteModeEvent_Interface is

   procedure Initialize (This : in out IDOMSiteModeEvent_Type) is
   begin
      Set_IID (This, IID_IDOMSiteModeEvent);
   end Initialize;

   function Pointer (This : IDOMSiteModeEvent_Type)
     return Pointer_To_IDOMSiteModeEvent
   is
   begin
      return To_Pointer_To_IDOMSiteModeEvent (Address (This));
   end Pointer;

   procedure Attach (This    : in out IDOMSiteModeEvent_Type;
                     Pointer : in     Pointer_To_IDOMSiteModeEvent)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function Get_buttonID
     (This : IDOMSiteModeEvent_Type)
     return Interfaces.C.long
   is
       RetVal : aliased Interfaces.C.long;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_buttonID
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_buttonID;

   function Get_actionURL
     (This : IDOMSiteModeEvent_Type)
     return GNATCOM.Types.BSTR
   is
       RetVal : aliased GNATCOM.Types.BSTR;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_actionURL
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_actionURL;

end MSHTML.IDOMSiteModeEvent_Interface;

